# PexP

A White Rabbit timing receiver in PCIe (PCI Express) format.  

## Main Features

  - FPGA
      - Altera Arria V GX (5AGXMA3D4F27I3N)
  - CPLD
      - Xilinx Coolrunner-II (XC2C64A)
  - Miscellaneous
      - On-board thermometer IC (DS18B20U+)
      - Unique 64-bit identifier (DS18B20U+)
  - Front panel
      - 1x SFP port (White Rabbit compatible)
      - 5x LEMO/SMC programmable I/Os capable of driving 3.3V @ 50 ohm
      - 6x Programmable LEDs

## Project Information

  - [Design files](https://www.ohwr.org/project/tr-pexp/tree/master)
  - [FPGA source code](https://github.com/GSI-CS-CO/bel_projects)
  - [Hardware commissioning guide](https://www-acc.gsi.de/wiki/Timing/TimingSystemPEXPTestingAndCommissioning)
  - [Description of the General Machine Timing System (GMT) @
    GSI](https://www-acc.gsi.de/wiki/pub/Timing/TimingSystemDocuments/GMT_Description_v3-1.pdf).
  - [Description of Timing Receivers for the
    GMT](https://www-acc.gsi.de/wiki/pub/Timing/TimingSystemDocuments/GMT_TR_Description-v3.2.pdf).

## FPGA Gateware

`git clone https://github.com/GSI-CS-CO/bel_projects.git`

README.md => See "Build Gateware(s)"

## Commissioning

Instructions for testing and commissioning can be found here:

https://www-acc.gsi.de/wiki/Timing/TimingSystemPEXPTestingAndCommissioning

## Photos

![PexP](https://ohwr.org/project/tr-pexp/raw/master/res/PexP-1.jpeg)

![PexP](https://ohwr.org/project/tr-pexp/raw/master/res/PexP-2.jpeg)

![PexP](https://ohwr.org/project/tr-pexp/raw/master/res/PexP-3.jpeg)

## Contacts

### Commercial Producers

- [Cosylab](http://www.cosylab.com), Slovenia

### General Question About the Project

- [Alexander Hahn](mailto:a.hahn@gsi.de), [GSI](https://www.gsi.de/en), Germany

## Status

| **Date** | **Event** |
| - | - |
| 21-10-2019 | Created project and repository on OHWR |
| 01-01-2020 | Received first prototypes (REVA) |
| 01-08-2020 | Received first revision (REVB) |
| 01-09-2023 | Received first of series (REVB) |
